/*
 * Universitat Oberta de Catalunya (UOC)
 * Projecte de Final de Carrera :
 * Disseny i implementació d'un Framework de presentació
 * per aplicacions J2EE
 * 
 * Alumne : Miquel Vaquer Menorca
 */

package web.actionForms;
import fw.action.ActionForm;
import org.apache.log4j.BasicConfigurator;
import org.apache.log4j.Logger;

/**
 * Classe que gestiona les operaciones del formulari d'Alta d'un Client
 * 
 * @author Miquel Vaquer Menorca
 */
public class AltaClientForm extends ActionForm
{
    // Inicialitzar el logging amb log4j
    private static final Logger log;
    static {
        BasicConfigurator.configure();
        log = Logger.getLogger("AltaClientForm.class");
    }
    
    /**
     * Constructor: Afegeix el pròxim jsp a mostrar
     */
    public AltaClientForm()
    {
        try
        {
            // Si l'operació va be, afegeix el formulari clientsOK com a 
            // pròxim a mostrar, el qual mostra un missatge de confirmació
            log.info("Afegir formulari clientsOK");
            addJsp("clientsOK");
        }
        catch (Exception e) 
        {
            // En cas d'error s'ha de mostrar el formulari errorTomir,
            // el qual, mostrarà un missatge d'error
            log.error("Error en el formulari"+e.getMessage());
            addJsp("errorTomir");
        }
        // Afegir llista anomenada "clients", on es guardaran els valors dels
        // clients 
        log.info("Afegir llista clients");
        addList ("clients");
    }
}
