/*
 * Universitat Oberta de Catalunya (UOC)
 * Projecte de Final de Carrera :
 * Disseny i implementació d'un Framework de presentació
 * per aplicacions J2EE
 * 
 * Alumne : Miquel Vaquer Menorca
 */

package web.actionForms;
import fw.action.ActionForm;
import org.apache.log4j.BasicConfigurator;
import org.apache.log4j.Logger;

/**
 * Classe que gestiona les operaciones del formulari de Llista de Clients
 * 
 * @author Miquel Vaquer Menorca
 */
public class ListClientForm extends ActionForm
{
    // Inicialitzar el logging amb log4j
    private static final Logger log;
    static {
        BasicConfigurator.configure();
        log = Logger.getLogger("ListClientForm.class");
    }
    
    /**
     * Constructor: Afegeix el pròxim jsp a mostrar
     */
    public ListClientForm()
    {
        try
        {
            // Afegeix el formulari clientsList que mostrarà el llistat de clients
            log.info("Afegir formulari clientsList");
            addJsp("clientsList");
        }
        catch(Exception e)
        {
            // En cas d'error s'ha de mostrar el formulari errorTomir,
            // el qual, mostrarà un missatge d'error
            log.error("Error en el formulari"+e.getMessage());
            addJsp("errorTomir");
        }
        
        // Crear llista "clients" (hashmap) per posteriorment carregar els
        // valors dels clients a mostrar al llistat
        log.info("Afegir llista clients");
        addList ("clients");
    }
}
