/*
 * Universitat Oberta de Catalunya (UOC)
 * Projecte de Final de Carrera :
 * Disseny i implementació d'un Framework de presentació
 * per aplicacions J2EE
 *
 * Alumne : Miquel Vaquer Menorca
 */

package fw.tags;

import fw.exceptions.TomirException;
import fw.i18n.ResourceBundleConfig;
import java.io.IOException;
import javax.servlet.jsp.JspWriter;
import javax.servlet.jsp.tagext.TagSupport;
import java.util.ResourceBundle;
import org.apache.log4j.BasicConfigurator;
import org.apache.log4j.Logger;

/**
 * Etiqueta que mostra un missatge fent servir el sistema d'internacionalització
 * @author Miquel Vaquer Menorca
 *
 */
public class MessageTag extends TagSupport
{
    // Inicialitzar el logging amb log4j
    private static final Logger log;
    static {
        BasicConfigurator.configure();
        log = Logger.getLogger("MessageTag.class");
    }
    
    //Clau del missatge (i18n) del fitxer .properties que es vol mostrar
    private String key;
    
    // Obtenir la configuració carregada desde tomir-config.xml
    ResourceBundleConfig resourceBundleConfig = ResourceBundleConfig.getResourceBundleConfig();
    
    // Obtenir el ResourceBundle (i18n) de la configuració
    ResourceBundle bundle = resourceBundleConfig.getBundleTomir();
    
    @Override
    public int doStartTag()
    {
        JspWriter writter = pageContext.getOut();
        
        try
        {
            writter.write(bundle.getString(getKey()));
        } 
        catch (IOException e)
        {
            log.error("MessageTag-->Error en l'etiqueta "+e.getMessage());
            throw new TomirException("Error de l'etiqueta Message "+e.getMessage());
        }
        return(SKIP_BODY);
    }
    
    public String getKey() {
        return key;
    }
    
    public void setKey(String key) {
        this.key = key;
    }
    
}
