/*
 * Universitat Oberta de Catalunya (UOC)
 * Projecte de Final de Carrera :
 * Disseny i implementació d'un Framework de presentació
 * per aplicacions J2EE
 * 
 * Alumne : Miquel Vaquer Menorca
 */

package fw.tags;

import fw.action.ActionForm;
import fw.exceptions.TomirException;
import java.io.IOException;
import javax.servlet.jsp.tagext.TagSupport;
import javax.servlet.jsp.JspWriter;
import javax.servlet.ServletRequest;
import org.apache.log4j.BasicConfigurator;

/**
 * Etiqueta que mostra un camp de texte per introduis dades al formulari
 * @author Miquel Vaquer Menorca
 *
 */
public class OutputText extends TagSupport
{
    // Inicialitzar el logging amb log4j
    private static final org.apache.log4j.Logger log;
    static {
        BasicConfigurator.configure();
        log = org.apache.log4j.Logger.getLogger("MessageTag.class");
    }
    
    private String nameText;
    private String typeText;
    
    @Override
    public int doStartTag() 
    {    
        ServletRequest request = pageContext.getRequest();
        ActionForm actionForm = (ActionForm)request.getAttribute("JspForm");
        
        if (actionForm != null) {
            JspWriter out = pageContext.getOut();
            try 
            {
                out.print(" <input name=\""+ nameText +"\" type=\"" + typeText +"\" />");
            } 
            catch (IOException e) 
            {
                log.error("OutPutText-->Error en l'etiqueta "+e.getMessage());
                throw new TomirException("Error de l'etiqueta Output "+e.getMessage());
            }
            return(EVAL_BODY_INCLUDE);
        }
        return(SKIP_BODY);
    }
    
    
    public void setNameText(String NameText) {
        this.nameText = NameText;
    }
    
    public void setTypeText(String TypeText) {
        this.typeText = TypeText;
    }
}