/*
 * Universitat Oberta de Catalunya (UOC)
 * Projecte de Final de Carrera :
 * Disseny i implementació d'un Framework de presentació
 * per aplicacions J2EE
 *
 * Alumne : Miquel Vaquer Menorca
 */

package fw.tags;

import fw.action.ActionForm;
import fw.i18n.ResourceBundleConfig;
import java.io.IOException;
import java.util.ResourceBundle;
import javax.servlet.ServletRequest;
import javax.servlet.jsp.JspWriter;
import javax.servlet.jsp.tagext.TagSupport;
import org.apache.log4j.BasicConfigurator;

/**
 * Classe que gestiona els objectes Botó de les pàgines jsp
 * 
 * @author Miquel Vaquer Menorca
 */
public class buttonTag extends TagSupport
{
    // Inicialitzar el logging amb log4j
    private static final org.apache.log4j.Logger log;
    static {
        BasicConfigurator.configure();
        log = org.apache.log4j.Logger.getLogger("buttonTag.class");
    }
    
    private String nameButton;
    private String typeButton;
    private String valueButton;
    
    // Obtenir la configuració carregada desde tomir-config.xml
    ResourceBundleConfig resourceBundleConfig = ResourceBundleConfig.getResourceBundleConfig();
    
    // Obtenir el ResourceBundle (i18n) de la configuració
    ResourceBundle bundle = resourceBundleConfig.getBundleTomir();
    
    @Override
    public int doStartTag() 
    {
        ServletRequest request = pageContext.getRequest();
        ActionForm actionForm = (ActionForm)request.getAttribute("JspForm");
        
        if (actionForm != null) {
            JspWriter out = pageContext.getOut();
            try
            {
                out.print(" <input name=\""+ nameButton + "\" type=\"" + typeButton + "\" value=\"" + valueButton + "\">");
            } 
            catch (IOException e) {
                log.error("buttonTag-->Error en l'etiqueta "+e.getMessage());
            }
            return(EVAL_BODY_INCLUDE);
        }
        return(SKIP_BODY);
    }
    
    public void setNameButton(String nameButton) {
        this.nameButton = nameButton;
    }
    
    public void setTypeButton(String typeButton) {
        this.typeButton = typeButton;
    }
    
    public void setValueButton(String valueButton) {
        this.valueButton = valueButton;
    }
}
